-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp - all rights reserved.
-- 
-- For more scripts and sample code, check out 
-- 	http://www.SQLSkills.com
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

USE TestDB -- Make sure you use a Testing Database!
go

-- =====================================================================
-- Execute these one at a time if you want to make sure to understand 
-- where the "warning" for sysdepends comes from!
-- =====================================================================

CREATE PROCEDURE dbo.TestResolution1
AS
SELECT * FROM dbo.TableThatDoesNotExist
go

CREATE PROCEDURE dbo.TestResolution2
AS
EXEC dbo.ProcThatDoesNotExist
go

CREATE PROCEDURE dbo.TestResolution3
AS
SELECT * FROM dbo.InlineTableValuedFunctionThatDoesNotExist(123)
go

CREATE PROCEDURE dbo.TestResolution4
AS
SELECT dbo.ScalarFunctionThatDoesNotExist(col1) 
FROM dbo.TableThatDoesNotExist
go
-- =====================================================================
-- To drop all of these objects uncomment the following section... 
-- Have you tried - Ctrl+Shift+R to "Remove Comments" from a block?
-- =====================================================================

-- DROP PROCEDURE dbo.TestResolution1
-- DROP PROCEDURE dbo.TestResolution2
-- DROP PROCEDURE dbo.TestResolution3
-- DROP PROCEDURE dbo.TestResolution4
go